#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sources_subdir	%{name}-%{version}
#-----------------------------------------------------------------------------
Name		:	libdazzle
Version		:	3.40.0
Release		:	14.8.0.0%{?dist}
Summary		:	A companion library to GObject and GTK+ 

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	 https://wiki.gnome.org/Apps/Web

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala

Requires	:	gtk3+

#-----------------------------------------------------------------------------
%description
libdazzle is a collection of fancy features for
GLib and Gtk+ that aren't quite ready or generic
enough for use inside those libraries. This is
often a proving ground for new widget prototypes.
Applications such as Builder tend to drive
development of this project.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_bindir}/dazzle-list-counters
%{_libdir}/%{name}-1.0.so.0
%{_libdir}/girepository-1.0/Dazzle-1.0.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0/*.h
%{_includedir}/%{name}-1.0/actions/*.h
%{_includedir}/%{name}-1.0/animation/*.h
%{_includedir}/%{name}-1.0/app/*.h
%{_includedir}/%{name}-1.0/bindings/*.h
%{_includedir}/%{name}-1.0/cache/*.h
%{_includedir}/%{name}-1.0/files/*.h
%{_includedir}/%{name}-1.0/graphing/*.h
%{_includedir}/%{name}-1.0/menus/*.h
%{_includedir}/%{name}-1.0/panel/*.h
%{_includedir}/%{name}-1.0/pathbar/*.h
%{_includedir}/%{name}-1.0/prefs/*.h
%{_includedir}/%{name}-1.0/search/*.h
%{_includedir}/%{name}-1.0/settings/*.h
%{_includedir}/%{name}-1.0/shortcuts/*.h
%{_includedir}/%{name}-1.0/statemachine/*.h
%{_includedir}/%{name}-1.0/suggestions/*.h
%{_includedir}/%{name}-1.0/theming/*.h
%{_includedir}/%{name}-1.0/tree/*.h
%{_includedir}/%{name}-1.0/util/*.h
%{_includedir}/%{name}-1.0/widgets/*.h
%{_libdir}/%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Dazzle-1.0.gir
%{_datadir}/vala/vapi/%{name}-1.0.deps
%{_datadir}/vala/vapi/%{name}-1.0.vapi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	..

ninja

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog
